<?php
 
// Author: oxana.smirnova@quark.lu.se

// MDS attribute lists - to make LDAP dumps human-readable

// Generic MDS attributes (non-browsable):

$mdsattr = array(
"objectClass"                          => "objectClass",
"Mds-validfrom"                        => "Info valid from (GMT)",
"Mds-validto"                          => "Info valid to (GMT)"
);

// VO-specific attributes (browsable):

$isattr = array(
"nordugrid-cluster-name"               => "Front-end domain name",
"nordugrid-cluster-aliasname"          => "Cluster alias",
"nordugrid-cluster-contactstring"      => "Contact string",
"nordugrid-cluster-interactive-contactstring" => "Interactive contact",
"nordugrid-cluster-comment"            => "Comment",
"nordugrid-cluster-support"            => "E-mail contact",
"nordugrid-cluster-lrms-type"          => "LRMS type",
"nordugrid-cluster-lrms-version"       => "LRMS version",
"nordugrid-cluster-lrms-config"        => "LRMS details",
"nordugrid-cluster-architecture"       => "Architecture",
"nordugrid-cluster-opsys"              => "Operating system",
"nordugrid-cluster-homogeneity"        => "Homogeneous cluster",
"nordugrid-cluster-nodecpu"            => "CPU type (slowest)",
"nordugrid-cluster-nodememory"         => "Memory (MB, smallest)",
"nordugrid-cluster-totalcpus"          => "CPUs, total",
"nordugrid-cluster-cpudistribution"    => "CPU:machines",
"nordugrid-cluster-sessiondir-free"    => "Disk space, available (MB)",
"nordugrid-cluster-sessiondir-total"   => "Disk space, total (MB)",
"nordugrid-cluster-cache-free"         => "Cache size, available (MB)",
"nordugrid-cluster-cache-total"        => "Cache size, total (MB)",
"nordugrid-cluster-runtimeenvironment" => "Runtime environment",
"nordugrid-cluster-localse"            => "Storage Element, local",
"nordugrid-cluster-middleware"         => "Grid middleware",
"nordugrid-cluster-totaljobs"          => "Jobs, total amount",
"nordugrid-cluster-usedcpus"           => "CPUs, occupied",
"nordugrid-cluster-queuedjobs"         => "Jobs, queued",
"nordugrid-cluster-location"           => "Postal code",
"nordugrid-cluster-owner"              => "Owner",
"nordugrid-cluster-issuerca"           => "Certificate issuer",
"nordugrid-cluster-nodeaccess"         => "Node IP connectivity",
"nordugrid-cluster-gridarea"           => "Session area (OBSOLETE)",
"nordugrid-cluster-gridspace"          => "Grid disk space (OBSOLETE)",
"nordugrid-cluster-opsysdistribution"  => "OS distribution (OBSOLETE)",
"nordugrid-cluster-runningjobs"        => "Jobs, running (OBSOLETE)",
"nordugrid-queue-name"                 => "Queue name",
"nordugrid-queue-status"               => "Queue status",
"nordugrid-queue-running"              => "Jobs, running",
"nordugrid-queue-queued"               => "Jobs, queued",
"nordugrid-queue-maxrunning"           => "Jobs, running (max)",
"nordugrid-queue-maxqueuable"          => "Jobs, queueable (max)",
"nordugrid-queue-maxuserrun"           => "Jobs per Unix user (max)",
"nordugrid-queue-maxcputime"           => "CPU time, max. (minutes)",
"nordugrid-queue-mincputime"           => "CPU time, min. (minutes)",
"nordugrid-queue-defaultcputime"       => "CPU time, default (minutes)",
"nordugrid-queue-schedulingpolicy"     => "Scheduling policy",
"nordugrid-queue-totalcpus"            => "CPUs, total",
"nordugrid-queue-nodecpu"              => "CPU type",
"nordugrid-queue-nodememory"           => "Memory (MB)",
"nordugrid-queue-architecture"         => "Architecture",
"nordugrid-queue-opsys"                => "Operating system",
"nordugrid-queue-gridrunning"          => "Grid jobs, running",
"nordugrid-queue-gridqueued"           => "Grid jobs, queued",
"nordugrid-queue-assignedcpunumber"    => "CPUs per queue (OBSOLETE)",
"nordugrid-queue-assignedcputype"      => "CPU type (OBSOLETE)",
"nordugrid-job-globalid"               => "ID",
"nordugrid-job-globalowner"            => "Owner",
"nordugrid-job-execcluster"            => "Execution cluster",
"nordugrid-job-execqueue"              => "Execution queue",
"nordugrid-job-stdout"                 => "Standard output file",
"nordugrid-job-stderr"                 => "Standard error file",
"nordugrid-job-stdin"                  => "Standard input file",
"nordugrid-job-reqcput"                => "Requested CPU time",
"nordugrid-job-status"                 => "Status",
"nordugrid-job-queuerank"              => "Position in the queue",
"nordugrid-job-lrmscomment"            => "LRMS comment",
"nordugrid-job-submissionui"           => "Submission machine",
"nordugrid-job-submissiontime"         => "Submission time (GMT)",
"nordugrid-job-usedcputime"            => "Used CPU time",
"nordugrid-job-usedwalltime"           => "Used wall time",
"nordugrid-job-sessiondirerasetime"    => "Erase time (GMT)",
"nordugrid-job-proxyexpirationtime"    => "Proxy expiration time (GMT)",
"nordugrid-job-usedmem"                => "Used memory (KB)",
"nordugrid-job-errors"                 => "Errors",
"nordugrid-job-jobname"                => "Name",
"nordugrid-job-runtimeenvironment"     => "Runtime environment",
"nordugrid-job-cpucount"               => "Requested CPUs",
"nordugrid-job-executionnodes"         => "Execution nodes",
"nordugrid-job-gmlog"                  => "GM log file",
"nordugrid-job-gridlog"                => "Gridlog file (OBSOLETE)",
"nordugrid-job-clientsoftware"         => "Client version",
"nordugrid-authuser-name"              => "Name",
"nordugrid-authuser-sn"                => "Subject Name",
"nordugrid-authuser-freecpus"          => "Free CPUs",
"nordugrid-authuser-diskspace"         => "Free disk space (MB)",
"nordugrid-authuser-queuelength"       => "Experienced queue length",
"nordugrid-se-name"                    => "Domain name",
"nordugrid-se-aliasname"               => "Storage element alias",
"nordugrid-se-type"                    => "Storage element type",
"nordugrid-se-freespace"               => "Free space (MB)",
"nordugrid-se-totalspace"              => "Total space (MB)",
"nordugrid-se-baseurl"                 => "Contact URL",
"nordugrid-se-authuser"                => "Authorised user (DN)",
"nordugrid-se-location"                => "Postal code",
"nordugrid-se-owner"                   => "Owner",
"nordugrid-se-issuerca"                => "Certificate issuer",
"nordugrid-se-comment"                 => "Comment",
"nordugrid-rc-name"                    => "Domain name",
"nordugrid-rc-aliasname"               => "Replica Catalog alias",
"nordugrid-rc-baseurl"                 => "Contact URL",
"nordugrid-rc-authuser"                => "Authorised user (DN)",
"nordugrid-rc-location"                => "Postal code",
"nordugrid-rc-owner"                   => "Owner",
"nordugrid-rc-issuerca"                => "Certificate issuer"
);

?>
